Bug 878421 - Review Request: rubygem-bundler_ext - Load system gems via Bundler DSL
Review Request: rubygem-bundler_ext - Load system gems via Bundler DSL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 06:50 EST by Vít Ondruch
Modified: 2013-07-30 10:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 10:17:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-11-20 06:50:12 EST
Spec URL: http://people.redhat.com/vondruch/rubygem-bundler_ext.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-bundler_ext-0.1.0-1.fc19.src.rpm
Description: Simple library leveraging the Bundler Gemfile DSL to load gems already on the system and managed by the systems package manager (like yum/apt)
Fedora Account System Username: vondruch

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4708526
Comment 1 Bohuslav "Slavek" Kabrda 2012-11-20 06:51:16 EST
I'll take this for a review.
Comment 2 Lukas Zapletal 2012-11-20 07:11:12 EST
Guys can you please ping me before you submit this into Fedora/EPEL? We might need to bump version, do not expect big changes, just few oneliners. We are also considering renaming the project, I have asked to do this rather now (before this is going into fedora) then later:

https://github.com/aeolus-incubator/bundler_ext/issues/1

Thanks
Comment 3 Bohuslav "Slavek" Kabrda 2012-11-20 07:29:14 EST
I have no objections so far, so let's wait for Lukas and use newer version, if one is released.
Comment 4 Lukas Zapletal 2012-11-20 11:53:07 EST
Thanks guys, I will ping you then. Aeolus folks planned rename for the next sprint, let's release once it's done.
Comment 5 Vít Ondruch 2012-11-22 10:13:45 EST
Hi, I added a few compatibility macros for older Fedora and RHEL:

Spec URL: http://people.redhat.com/vondruch/rubygem-bundler_ext.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-bundler_ext-0.1.0-2.fc19.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4716627
Comment 6 Lukas Zapletal 2012-11-22 12:48:43 EST
Vit: Thanks for adding RHEL6 related macros. Please add this:

%global gem_libdir %{gem_instdir}/lib

and also

%if 0%{?rhel} <= 6
BuildRequires: rubygems
%else
BuildRequires: rubygems-devel
%endif

And also I need to turn off %check section for RHEL6, rspec command is not found there (not sure why). Many thanks!!!
Comment 7 Vít Ondruch 2012-11-23 03:28:32 EST
Hi, here we go ... not sure about the %check section though, but it should work I hope:

Spec URL: http://people.redhat.com/vondruch/rubygem-bundler_ext.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-bundler_ext-0.1.0-3.fc19.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4720147
Comment 8 Lukas Zapletal 2012-11-28 04:01:26 EST
I have an issue, when I build your package under Fedora 17, the content is in a wrong directory:

http://koji.katello.org/koji/taskinfo?taskID=13940

[lzap@lzapx Download]$ rpm -qlp rubygem-bundler_ext-0.1.0-3.fc17.noarch.rpm 
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/COPYING
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/lib
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/lib/aeolus
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/lib/aeolus/ext
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/lib/aeolus/ext.rb
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/lib/aeolus/ext/bundler_ext.rb
/builddir/.gem/ruby/1.9.1/gems/bundler_ext-0.1.0/lib/aeolus/ext/version.rb
/builddir/.gem/ruby/1.9.1/specifications/bundler_ext-0.1.0.gemspec
Comment 9 Vít Ondruch 2012-11-28 05:50:51 EST
(In reply to comment #8)
Sorry, you are right. The macros are not right. I made new revision fixing the issue:

Spec URL: http://people.redhat.com/vondruch/rubygem-bundler_ext.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-bundler_ext-0.1.0-4.fc19.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4737159
Comment 10 Lukas Zapletal 2013-03-14 12:30:20 EDT
FYI We are good to go with the review, budnler_ext has been bumped to version 0.3 which has the new namespace. Thanks guys.
Comment 11 Christopher Meng 2013-07-18 02:10:11 EDT
NEWS?

We may need this package for some gitorious patches.
Comment 12 Vít Ondruch 2013-07-18 03:59:36 EDT
Sorry for the delay. Here is updated package:

Spec URL: http://people.redhat.com/vondruch/rubygem-bundler_ext.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-bundler_ext-0.3.0-1.fc20.src.rpm
Comment 13 Ken Dreyer 2013-07-18 16:52:48 EDT
Hi Slavek, I know you have a lot on your plate, so if you would like to hand the review over to Christopher or myself, please un-assign this review.
Comment 14 Bohuslav "Slavek" Kabrda 2013-07-19 01:39:52 EDT
(In reply to Ken Dreyer from comment #13)
> Hi Slavek, I know you have a lot on your plate, so if you would like to hand
> the review over to Christopher or myself, please un-assign this review.

Huh, sorry, I totally forgot I'm assigned to this.

The package looks fine, just a small comment - is "0%{?rhel:1}" really necessary? Wouldn't "0%{?rhel}" suffice? (same applies to "0%{fedora:1}")

But this is just a nit and the package is ok otherwise, so APPROVED.
Comment 15 Lukas Zapletal 2013-07-22 04:05:47 EDT
Just to let you know guys, bundler_ext has been promoted as top level project this weekend :)

https://github.com/bundlerext/bundler_ext
Comment 16 Vít Ondruch 2013-07-30 09:22:10 EDT
Thanks for the review.



New Package SCM Request
=======================
Package Name: rubygem-bundler_ext
Short Description: Load system gems via Bundler DSL
Owners: vondruch
Branches: 
InitialCC:
Comment 17 Jon Ciesla 2013-07-30 09:40:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.